Karia
ReferencesOpenapiEmployer

Get employer

GET
/organisation/{orgId}/workspace/{workspaceId}/employer/{employerId}

Retrieve an employer in the specified organisation and workspace, including linked contacts.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string
employerId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/employer/string"
{
  "id": -2147483648,
  "businessId": "string",
  "name": "string",
  "tradingName": "string",
  "industry": "string",
  "status": "string",
  "addressLine1": "string",
  "addressLine2": "string",
  "unitNumber": "string",
  "streetNumber": "string",
  "streetName": "string",
  "suburb": "string",
  "state": "string",
  "postCode": "string",
  "country": "string",
  "fbtTreatmentType": "string",
  "fbtCollection": "string",
  "invoiceTerms": "string",
  "preferredPaymentMethod": "string",
  "companyWebsite": "string",
  "description": "string",
  "metadata": "string",
  "createdAt": "string",
  "linkedContacts": [
    {
      "id": 0,
      "type": "string",
      "contactId": 0,
      "contact": {
        "id": 0,
        "firstName": "string",
        "lastName": "string",
        "preferredName": "string"
      }
    }
  ]
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}